import { PkgItem, Compiler, BaseProject, NessPkgItem } from '@thing.js/cli-utils';
export * from '@thing.js/cli-utils';
import { RollupOptions } from 'rollup';

declare function getRollupConfig(pkg: PkgItem, compiler: Compiler): RollupOptions;

declare class Project extends BaseProject {
    config: {
        name: string;
        title: string;
        pkgJsonFile: string;
        publishTarget: string[];
        defaultPublishTarget: string[];
        api: {
            studio: {
                save: string;
                publish: string;
                search: string;
            };
        };
    };
    getRollupConfig: typeof getRollupConfig;
    hasPkgJson(dirPath: string): boolean;
    getPackageInfo(dirPath: string, outputDirPath: string): NessPkgItem;
    onBuild(compiler: Compiler): Promise<any>;
    onPack(compiler: Compiler): Promise<void>;
    onPublish(compiler: Compiler): Promise<void>;
}
declare const _default: (api: any) => void;

export { Project, _default as default, getRollupConfig };
